function [U,Ut] = FW_learn_trader(S,A,P,R,gamma,eta,max_iter)
% FW_learn_trader - given MDP, learn state utilities
% On input:
%     S (sx4 array): states
%     A (1xm vector): actions
%     P (string): name of transition function
%     gamma (float): discount
%     eta (float): quit threshold
%     max_iter (int): max iterations
% On output:
%     U (sx1 vector): state utilities
%     Ut (max_iter by s array): trace of utilities
% Call:
%     [U,Ut] = FW_learn_trader(S,A,P,R,0.99999,0.1,10000);
% Author:
%     T. Henderson
%     UU
%     Summer 2018
%

[num_states,dummy] = size(S);

U0 = zeros(num_states,1);
[U,Ut,dt] = FW_MDP_value_iteration(S,A,P,R,U0,gamma,eta,max_iter);
