function [S,A,P,R] = FW_make_trader(gamma,eta,max_iter)
% FW_make_trader  - create MDP
% On input:
%     gamma (float): discount factor
%     eta (float): error threshold
%     max_iter (int): max iterations
% On output:
%     S (nx4 array): each row is a possible state
%       col 1: price (10:10:100)
%       col 2: value (-1,1)
%       col 3: number of asset (1:10)
%       col 4: dollars (0:10:100)
%     A (1xm vector): action indexes (1 to m) m = 2 here (buy/sell)
%     P (string): name of transition function
%     R (nx1 vector): rewards
% Call:
%     [S,A,R,P] = FW_make_trader(0.999999,0.1,10000);
% Author:
%     T. Henderson
%     UU
%     Summer 2018
%

num_states = 10*2*11*11;
S = zeros(num_states,4);
R = zeros(num_states,1);
% reward is d + p1*n1 + p2*n2

index = 0;
wb = waitbar(0,'Make');
for p = [10:10:100]
    for v = [-1,1]
        for n = [0:10]
            for d = [0:10:100]
                index = index + 1;
                waitbar(index/num_states);
                S(index,:) = [p,v,n,d];
                R(index) = d + p*n;
            end
        end
    end
end
close(wb);

num_actions = 2;
A = [1:num_actions];
P = 'FW_P';
